> ## Documentation Index
> Fetch the complete documentation index at: https://benzinga.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Ratings Firms

> Returns the available firms providing analyst ratings

```json Response (200 OK) theme={null}
{
  "analyst_ratings_firm": [
    {
      "id": "692d37e208782e0001f054f2",
      "name": "konik capital partners llc"
    },
    {
      "id": "691f0b6521a45000013bb706",
      "name": "BNP Paribas Exane"
    },
    {
      "id": "6916bad521a450000139dde8",
      "name": "Galaxy Digital"
    },
    {
      "id": "690d8c8ed8a7a50001a7ca17",
      "name": "Blue Diamond Securities of America LLC"
    },
    {
      "id": "690907ab6d699e0001d02d93",
      "name": "Aletheia Capital"
    }
  ]
}
```

```json Response (401 Unauthorized) theme={null}
{
  "ok": false,
  "errors": [
    {
      "code": "auth_failed",
      "id": "unauthorized",
      "value": "Invalid or missing authentication token"
    }
  ]
}
```

```json Response (404 Not Found) theme={null}
{
  "ok": false,
  "errors": [
    {
      "code": "no_data_found",
      "id": "not_found",
      "value": "No data found for the specified parameters"
    }
  ]
}
```

```json Response (500 Internal Server Error) theme={null}
{
  "ok": false,
  "errors": [
    {
      "code": "internal_server_error",
      "id": "server_error",
      "value": "An unexpected error occurred while processing your request"
    }
  ]
}
```


## OpenAPI

````yaml openapi/calendar-api.spec.yml GET /api/v2.1/calendar/ratings/firms
openapi: 3.0.0
info:
  contact: {}
  description: >-
    This REST API returns structured data for conference calls, dividends,
    earnings (and future earnings dates), economics, pharmaceutical
    announcements, guidance, IPOs, secondary offerings, ratings, M&A activity,
    and splits.
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v2.1/calendar/ratings/firms:
    get:
      tags:
        - ratings_firms
      summary: Ratings Firms
      description: Returns the available firms providing analyst ratings
      operationId: get-ratings-firms
      parameters:
        - description: >-
            Page offset. For optimization, performance and technical reasons,
            page offsets are limited from 0 - 100000. Limit the query results by
            other parameters such as date. Default is 0
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: Number of results returned. Limit 1000
          in: query
          name: pageSize
          schema:
            type: integer
            default: 100
        - description: Fields
          in: query
          name: fields
          schema:
            type: string
        - description: Firm
          in: query
          name: firm
          schema:
            type: string
        - description: >-
            Records last Updated Unix timestamp (UTC). This will force the sort
            order to be Greater Than or Equal to the timestamp indicated
          in: query
          name: updated
          schema:
            type: integer
      responses:
        '200':
          description: Ratings Firms
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/gitlab_benzinga_io_benzinga_bzgo_pkg_models_calendar-api.RatingsFirm
            text/xml:
              schema:
                $ref: >-
                  #/components/schemas/gitlab_benzinga_io_benzinga_bzgo_pkg_models_calendar-api.RatingsFirm
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    gitlab_benzinga_io_benzinga_bzgo_pkg_models_calendar-api.RatingsFirm:
      properties:
        currency:
          description: Primary currency used by the firm
          example: USD
          type: string
        homepage:
          description: Homepage URL of the ratings firm
          example: https://www.goldmansachs.com
          type: string
        id:
          description: Unique identifier for the ratings firm
          example: 60a7f5e8e4b0f5a3c8e9f5ba
          type: string
        name:
          description: Name of the ratings firm
          example: Goldman Sachs
          type: string
        updated:
          description: Unix timestamp of last update
          example: 1704819600
          type: integer
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````